# Generated by Django 3.0.2 on 2020-01-22 16:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('home', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Actor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('birth_date', models.DateTimeField()),
                ('name', models.CharField(max_length=32)),
                ('email', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Content',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate', models.IntegerField()),
                ('name', models.CharField(max_length=128)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('description', models.TextField()),
                ('release_date', models.DateTimeField()),
                ('provider', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Provider')),
            ],
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extension', models.CharField(max_length=8)),
                ('name', models.CharField(max_length=256)),
                ('url', models.CharField(max_length=256)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('size', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('width', models.CharField(max_length=8)),
                ('height', models.CharField(max_length=8)),
                ('file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.File')),
            ],
        ),
        migrations.CreateModel(
            name='Trailer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('length', models.DurationField()),
                ('resolution', models.CharField(max_length=6)),
                ('file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.File')),
            ],
        ),
        migrations.CreateModel(
            name='Series',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Content')),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Image')),
                ('trailer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Trailer')),
            ],
        ),
        migrations.CreateModel(
            name='Season',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('index', models.IntegerField()),
                ('release_date', models.DateTimeField()),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Image')),
                ('series', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Series')),
                ('trailer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Trailer')),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('length', models.DurationField()),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Content')),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Image')),
                ('trailer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Trailer')),
            ],
        ),
        migrations.CreateModel(
            name='Episode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('release_date', models.DateTimeField()),
                ('name', models.CharField(max_length=128)),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Image')),
                ('season', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Season')),
                ('trailer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Trailer')),
            ],
        ),
        migrations.CreateModel(
            name='ContentGenre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Content')),
                ('genre', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Genre')),
            ],
        ),
        migrations.CreateModel(
            name='ContentActor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('actor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Actor')),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.Content')),
            ],
        ),
        migrations.AddField(
            model_name='actor',
            name='image',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='home.Image'),
        ),
    ]
